%global commit 43812022adc51ea269f7bfd68c1d66e9d307d367
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global pkgname appdirs
Name:		python-appdirs
Version: 	1.2.0
Release: 	3%{?dist}
Summary: 	A small Python module for determining appropriate platform-specific dirs
License: 	MIT
URL: 		https://github.com/ActiveState/%{pkgname} 
Source0: 	https://github.com/ActiveState/%{pkgname}/archive/%{commit}/%{pkgname}-%{version}-%{shortcommit}.tar.gz
BuildArch: 	noarch 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This kind of thing is what the appdirs module is for. 
appdirs will help you choose an appropriate:

* user data dir (user_data_dir)
* user cache dir (user_cache_dir)
* site data dir (site_data_dir)
* user log dir (user_log_dir)

%prep
%setup -q -n %{pkgname}-%{commit}
rm -rf %{pkgname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{python_sitelib}/%{pkgname}.py

%check
%{__python} %{_builddir}/%{pkgname}-%{commit}/test/test.py

%files
%doc LICENSE.txt README.rst MANIFEST.in TODO.md
%{python_sitelib}/*

%changelog
* Mon Aug 19 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 1.2.0-3
- Adjust permissions
- Adjust wrong version changelog

* Fri Aug 2 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 1.2.0-2
- Remove %clean
- Remove egg-dir in %prep

* Fri Aug 2 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 1.2.0-1
- Initial package
